{%- from "shuup/front/macros/product.jinja" import product_box with context -%}

{%- set cross_sell_products = shuup.product.get_product_cross_sells(
    product, type, count=count, orderable_only=orderable_only, use_variation_parents=use_variation_parents) %}

{% if cross_sell_products %}
    <section class="canvas-product-carousel-section product-cross-sells-plugin">

        {% if title %}
            <div class="title-bar light">
                <h2>{{ title }}</h2>
            </div>
        {% endif %}

        <div class="canvas-product-carousel glide">
            {%- set show_actions = xtheme.show_product_card_actions_in_carousel() -%}
            <div class="glide__track" data-glide-el="track">
                <ul class="glide__slides">
                    {% for product in cross_sell_products %}
                        <li class="glide__slide">
                            {{ product_box(product, show_user_actions=false, show_actions=show_actions) }}
                        </li>
                    {% endfor %}
                </ul>
            </div>
            <div class="glide__controls" data-glide-el="controls">
                <button class="glide__controls__back" data-glide-dir="<" aria-label="{% trans %}Previous{% endtrans %}">
                    <img src="{{ shuup_static('canvas/img/icons/icon-arrow-left.svg') }}" alt="">
                </button>
                <button class="glide__controls__next" data-glide-dir=">" aria-label="{% trans %}Next{% endtrans %}">
                    <img src="{{ shuup_static('canvas/img/icons/icon-arrow-right.svg') }}" alt="">
                </button>
            </div>
        </div>

    </section>
{% endif %}
